// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 根据枚举类名查询枚举值列表 获取当前系统指定枚举 POST /anyTenant/enums/findEnumByType */
export async function findEnumByType(body: API.CodeQueryVO, options?: { [key: string]: any }) {
  return request<API.RListOption>(`/oauth/anyTenant/enums/findEnumByType`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据枚举类名批量查询枚举值列表 获取当前系统指定枚举 POST /anyTenant/enums/findEnumMapByType */
export async function findEnumMapByType(body: API.CodeQueryVO[], options?: { [key: string]: any }) {
  return request<API.RMapStringListOption>(`/oauth/anyTenant/enums/findEnumMapByType`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据字典类型编码查询字典项,并排除指定项 根据类型编码查询字典项 POST /anyUser/dict/findDictByType */
export async function findDictByType(body: API.CodeQueryVO, options?: { [key: string]: any }) {
  return request<API.RListOption>(`/oauth/anyUser/dict/findDictByType`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据字典类型编码批量查询字典项,并排除指定项 根据字典类型编码批量查询字典项 POST /anyUser/dict/findDictMapByType */
export async function findDictMapByType(body: API.CodeQueryVO[], options?: { [key: string]: any }) {
  return request<API.RMapStringListOption>(`/oauth/anyUser/dict/findDictMapByType`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据key批量获取系统参数 根据key批量获取系统参数 POST /anyUser/parameter/findParamMapByKey */
export async function findParams(body: string[], options?: { [key: string]: any }) {
  return request<API.RMapStringString>(`/oauth/anyUser/parameter/findParamMapByKey`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
